Novell NetMail < 3.52C IMAP Agent Multiple Remote Overflows

This script is Copyright (C) 2005-2013 Tenable Network Security, Inc.


Synopsis :

The remote IMAP server is affected by multiple buffer overflows.

Description :

The remote host is running Novell NetMail, a messaging and calendaring
system for Windows, Linux, Unix, and NetWare.

The version of NetMail installed on the remote host is prone to
multiple buffer overflows in its IMAP agent, one when handling long
command tags, the other involving IMAP command continuations.

See also :

http://support.novell.com/cgi-bin/search/searchtid.cgi?/10097957.htm
http://support.novell.com/filefinder/19357/index.html

Solution :

Upgrade to NetMail version 3.52C or later.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 6.5
(CVSS2#E:H/RL:OF/RC:C)
Public Exploit Available : true

Family: Gain a shell remotely

Nessus Plugin ID: 18506 ()

Bugtraq ID: 13926
14718

CVE ID: CVE-2005-1758